$schema: "http://json-schema.org/draft-06/schema#"

title: compute alpha HaControllerZoneConfigurationNodeAffinity export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  key:
    description: Corresponds to the label key of Node resource.
    type: string
  operator:
    description: |-
      Defines the operation of node selection. Valid operators areIN for
      affinity and NOT_IN for anti-affinity.
    type: string
    enum:
    - IN
    - NOT_IN
    - OPERATOR_UNSPECIFIED
  values:
    description: Corresponds to the label values of Node resource.
    type: array
    items:
      type: string
